Skip to main content
POST
/
v1
/
deployments
/
{deploymentId}
/
environments
/
{environmentId}
/
tokens
Create deployment environment token
curl --request POST \
  --url https://{tenant}.cubecloud.dev/api/v1/deployments/{deploymentId}/environments/{environmentId}/tokens \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "security_context": {},
  "expires_in": 1800,
  "scopes": [
    "<string>"
  ]
}
'
{
  "data": {
    "created_at": "<string>",
    "expires_at": "<string>",
    "security_context": {},
    "token": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Send Authorization: Api-Key <YOUR_API_KEY>.

Path Parameters

deploymentId
integer
required
environmentId
integer
required

Body

application/json

CreateDeploymentEnvironmentTokenInput

security_context
object
required
expires_in
integer | null
Required range: 1 <= x <= 3600
scopes
string[] | null

Response

200 - application/json
data
object
required